Module javafx.graphics
Package javafx.css

# Class SimpleStyleableStringProperty

java.lang.Object
javafx.beans.binding.StringExpression
javafx.beans.property.ReadOnlyStringProperty
javafx.beans.property.StringProperty
javafx.beans.property.StringPropertyBase
javafx.css.StyleableStringProperty
javafx.css.SimpleStyleableStringProperty

All Implemented Interfaces:
  `Observable`, `Property<String>`, `ReadOnlyProperty<String>`, `ObservableObjectValue<String>`, `ObservableStringValue`, `ObservableValue<String>`, `WritableObjectValue<String>`, `WritableStringValue`, `WritableValue<String>`, `StyleableProperty<String>`

    public class SimpleStyleableStringProperty
    extends StyleableStringProperty

This class extends `SimpleStringProperty` and provides a full implementation of a `StyleableProperty`. This class is used to make a `StringProperty`, that would otherwise be implemented as a `SimpleStringProperty`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  `SimpleStringProperty`, `CssMetaData`, `StyleableProperty`, `StyleableStringProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData)` | The constructor of the `SimpleStyleableStringProperty`.
  `SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData, Object bean, String name)` | The constructor of the `SimpleStyleableStringProperty`.
  `SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData, Object bean, String name, String initialValue)` | The constructor of the `SimpleStyleableStringProperty`.
  `SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData, String initialValue)` | The constructor of the `SimpleStyleableStringProperty`.

- ## Method Summary

  ### Methods declared in class javafx.beans.property.StringPropertyBase

  `fireValueChangedEvent, invalidated, toString`

  ### Methods declared in class javafx.beans.property.StringProperty

  `bindBidirectional, bindBidirectional, unbindBidirectional`

  ### Methods declared in class javafx.beans.binding.StringExpression

  `concat, getValueSafe, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, isEmpty, isEqualTo, isEqualTo, isEqualToIgnoreCase, isEqualToIgnoreCase, isNotEmpty, isNotEqualTo, isNotEqualTo, isNotEqualToIgnoreCase, isNotEqualToIgnoreCase, isNotNull, isNull, length, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, stringExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableObjectValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.css.StyleableProperty

  `applyStyle, getCssMetaData, getStyleOrigin`

  ### Methods declared in interface javafx.beans.value.WritableObjectValue

  `get, set`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue, setValue`

- ## Constructor Details

  - ### SimpleStyleableStringProperty

    public SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData)
    The constructor of the `SimpleStyleableStringProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`

  - ### SimpleStyleableStringProperty

    public SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData, String initialValue)
    The constructor of the `SimpleStyleableStringProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `initialValue` - the initial value of the wrapped `Object`

  - ### SimpleStyleableStringProperty

    public SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData, Object bean, String name)
    The constructor of the `SimpleStyleableStringProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `StringProperty`
      `name` - the name of this `StringProperty`

  - ### SimpleStyleableStringProperty

    public SimpleStyleableStringProperty​(CssMetaData<? extends Styleable,​String> cssMetaData, Object bean, String name, String initialValue)
    The constructor of the `SimpleStyleableStringProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `StringProperty`
      `name` - the name of this `StringProperty`
      `initialValue` - the initial value of the wrapped `Object`